package com.care.call.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/15
 **/
@ApiModel(description = "日志实体类")
public class KoalaLoggerEntity implements Serializable {
    @ApiModelProperty(dataType = "String", name = "apiMethod", value = "接口方法，直接写接口名称")
    private String apiMethod;
    @ApiModelProperty(dataType = "String", name = "apiEvent", value = "事件状态，1.坐席振铃,2.坐席接通,3.客户振铃,4.客户接通,5.坐席挂断,6.客户挂断,7.未接通")
    private String apiEventStatus;
    @ApiModelProperty(dataType = "String", name = "agentId", value = "坐席id")
    private String agentId;
    @ApiModelProperty(dataType = "String", name = "taskId", value = "任务id")
    private String taskId;
    @ApiModelProperty(dataType = "String", name = "outCallNumber", value = "外呼流水号")
    private String outCallNumber;
    @ApiModelProperty(dataType = "String", name = "disNumber", value = "外显号码")
    private String disNumber;
    @ApiModelProperty(dataType = "String", name = "entId", value = "企业编码")
    private String entNo;
    @ApiModelProperty(dataType = "String", name = "result", value = "接口请求返回结果")
    private String result;

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getApiEventStatus() {
        return apiEventStatus;
    }

    public void setApiEventStatus(String apiEventStatus) {
        this.apiEventStatus = apiEventStatus;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getOutCallNumber() {
        return outCallNumber;
    }

    public void setOutCallNumber(String outCallNumber) {
        this.outCallNumber = outCallNumber;
    }

    public String getDisNumber() {
        return disNumber;
    }

    public void setDisNumber(String disNumber) {
        this.disNumber = disNumber;
    }

    public String getEntNo() {
        return entNo;
    }

    public void setEntNo(String entNo) {
        this.entNo = entNo;
    }
}
