package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人-设备(CareDevice)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:36
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_device")
@ApiModel(value = "被监护人-设备", description = "")
public class CareDevice implements Serializable {
    private static final long serialVersionUID = 905583520337157262L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("设备名称")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("设备编码")
    @TableField("DEV_CODE")
    private String devCode;


    @ApiModelProperty("设备类别： 1：室内 2：户外")
    @TableField("DEV_TYPE")
    private String devType;


    @ApiModelProperty("状态：1在线；2：离线")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}