package com.care.common.vo;

/**
 * 与页面交互的分页数据类
 * @author little
 * @since 2021-01-02
 */
public class PageResVO {
    /**
     * 当前页
     */
    private Long current;
    /**
     * 每页记录数
     */
    private Long pageSize;
    /**
     * 记录总数
     */
    private Long total;

    public PageResVO() {
    }

    public PageResVO(long current, long pageSize, long total) {
        this.current = current;
        this.pageSize = pageSize;
        this.total = total;
    }

    public long getCurrent() {
        return current;
    }

    public void setCurrent(long current) {
        this.current = current;
    }

    public long getPageSize() {
        return pageSize;
    }

    public void setPageSize(long pageSize) {
        this.pageSize = pageSize;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    @Override
    public String toString() {
        return "Page{" +
                "current=" + current +
                ", pageSize=" + pageSize +
                ", total=" + total +
                '}';
    }
}
